/*
Pozwala ingerowa w zdarzenia pluginu
	extreme_bancfg2.amxx
	odwoasz wyrzucenie gracze z serwera w extreme_bancfg2.amxx	
	w wersji >= 2.4
*/
/*
* Description:		Wywoywany w momencie wydania bana
*		
*	Zwr PLUGIN_HANDLED, aby anulowa wykonywanie bana.
*
* @param	id		Id zbanowanego gracza 
*					lub 
*				0, gdy ban dla gracza, ktrego nie ma na serwie 	
* @param	szReason	Powd 
* @param	iTime		Czas bana
* @param	idAdmin		Id admina	
* @param	isSteam		true, jeli plugin uwaa gracza za posiadajcego Steam
*				false, w pozostaych przypadkach
*/
forward bancfg_ban(id, const szReason[], iTime, idAdmin, bool:isSteam);


/*
* Description:		Wywoywany w momencie zniesienia bana
*		
*	Zwr PLUGIN_HANDLED, aby anulowa zniesienie bana.
*	
* @param	szCode		Kod (numer)
* @param	szName		Nick zbanowanego gracza
* @param	szAdminName	Nick admina wydajcego ban
* @param	szReason	Powd bana	
* @param	iTimeStamp	Czas wydania bana (wskanik czasu)
* @param	iTimeStamp	Czas wyganicia bana (wskanik czasu) 0-perm
* @param 	szShort		Skrt gracza
*/
forward bancfg_unban(const szCode[], const szName[], const szAdminName[], const szReason[], iTimeStamp, iUnBanTime, const szShort[]);

/**
* Description:		Wywoywany w momencie kicka
*	Pozwala przej kontrol nad tym wydarzeniem.
*
*	Zwr PLUGIN_CONTINUE, gdy wszystko ma si odby zgodnie z konfiguracj bancfg.
*	Zwracajc PLUGIN_HANDLED odwoasz wykonanie kicka z extreme_bancfg2.amxx.
*	Zamiast domylnego kicka moesz wykona go na wasn rk w dowolny sposb.
*	
*	Przykad:
*	[code]
*	#include <amxmodx>
*	#include <extreme_bancfg2>
*
*	#define PLUGIN "Extreme Kick"
*	#define VERSION "1.0"
*	#define AUTHOR "Admin"
*
*	public plugin_init() {
*		register_plugin(PLUGIN, VERSION, AUTHOR);
*	}
*	public bancfg_kick(id, const szReason[], iTime, const szAdminName[], bool:connecting){
*		client_cmd(id, "say Zostalem zbanowany przez %s, cze!",szAdminName);
*		client_cmd(id, "disconnect");
*		return PLUGIN_HANDLED;
*	}
*	[/code]
*
* 					
* @param	id		Id zbanowanego gracza 	
* @param	szReason	Powd 
* @param	iTime		Czas bana
* @param	szAdminName	Nick admina wydajcego bana
* @param	connecting	true, jeli wykop idzie tu po poczeniu
*				false, wykop zaraz po zbanowaniu
*/
forward bancfg_kick(id, const szReason[], iTime, const szAdminName[], bool:connecting);
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
